# $Revision: 1.28 $, $Date: 2011/09/12 18:56:54 $
Summary:	Solver LP and MIP problems
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP
Name:		glpk
Version:	4.47
Release:	1
License:	GPL v3+
Group:		Applications/Math
Source0:	http://ftp.gnu.org/gnu/glpk/%{name}-%{version}.tar.gz
# Source0-md5:	8653bf20c1f7db96b9ed369a8598a1ce
Patch0:		%{name}-dl.patch
Patch1:		%{name}-sonames.patch
URL:		http://www.gnu.org/software/glpk/glpk.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	mysql-devel
BuildRequires:	unixODBC-devel
%ifarch %{x8664} ppc64 sparc64 s390x
Suggests:	libodbc.so.1()(64bit)
Suggests:	libmysqlclient.so.16()(64bit)
%else
Suggests:	libodbc.so.1
Suggests:	libmysqlclient.so.16
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GLPK package is intended for solving linear programming (LP) and
mixed integer linear programming (MIP) problems. It is a set of
routines organized in the form of a library and written in the ANSI C
programming language.

%description -l pl.UTF-8
Pakiet GLPK służy do rozwiązywania problemów programowania liniowego
(LP) oraz mieszanych problemów całkowitoliczbowego programowania
liniowego (MIP). Jest to zestaw narzędzi zorganizowanych w formie
biblioteki i napisanych w ANSI C.

%package devel
Summary:	Solver LP and MIP problems - header file
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP - plik nagłówkowy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Solver LP and MIP problems - development files.

%description devel -l pl.UTF-8
Narzędzie do rozwiązywania problemów LP i MIP - pliki dla
programistów.

%package static
Summary:	Solver LP and MIP problems - static library
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Solver LP and MIP problems - static library.

%description static -l pl.UTF-8
Narzędzie do rozwiązywania problemów LP i MIP - biblioteka statyczna.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-dl=dlfcn \
	--enable-mysql \
	--enable-odbc=unix \
	--with-gmp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS doc/{*.txt,*.pdf,notes}
%attr(755,root,root) %{_bindir}/glpsol
%attr(755,root,root) %{_libdir}/libglpk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglpk.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglpk.so
%{_libdir}/libglpk.la
%{_includedir}/glpk.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libglpk.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glpk.spec,v $
Revision 1.28  2011/09/12 18:56:54  qboosh
- updated to 4.47

Revision 1.27  2011/08/10 18:32:16  qboosh
- updated to 4.46

Revision 1.26  2011/02/04 23:19:38  sparky
- %description for correct %package

Revision 1.25  2011/01/31 08:55:25  arekm
- release 2

Revision 1.24  2010/12/08 20:55:11  qboosh
- updated to 4.45

Revision 1.23  2010/10/16 14:39:35  qboosh
- updated to 4.44
- switched to unixODBC
- added dl patch to link with -ldl (SQL libs are dlopened)
- added sonames patch to dlopen by soname, not *.so (added sonames to Suggests)

Revision 1.22  2010/03/29 07:08:40  arekm
- release 4

Revision 1.21  2009/12/15 12:50:53  sls
- added BR: gmp-devel

Revision 1.20  2008/06/26 10:38:03  glen
- libtool BR for --install arg

Revision 1.19  2008/06/20 11:08:06  hawk
- libtool 2.2 fix

Revision 1.18  2008-04-05 10:32:48  qrczak
- libtoolize
- Release 2

Revision 1.17  2008-03-15 18:50:03  undefine
- up to 4.27

Revision 1.16  2008-01-13 00:42:21  qboosh
- more verbose files, ghost soname symlink
- doc cleanup
- License is GPL v3+ now

Revision 1.15  2007-12-31 23:18:25  zbyniu
- up to 4.25

Revision 1.14  2007-12-02 14:33:11  baggins
- up to 4.24
- added static subpackage

Revision 1.13  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.11  2006/09/25 13:11:54  undefine
- up to 4.11

Revision 1.10  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.9  2005/01/14 12:50:34  czucz
- updated to 4.8
- proper license

Revision 1.8  2004/08/30 21:07:21  darekr
- update to 4.7

Revision 1.7  2004/08/19 19:27:56  misi3k
- updated to 4.6

Revision 1.6  2004/01/25 14:30:59  domelu
- updated to 4.4

Revision 1.5  2003/12/18 22:20:55  undefine
- update to 4.3

Revision 1.4  2003/11/11 02:06:30  qboosh
- BR: ac,am

Revision 1.3  2003/06/26 22:01:46  undefine
- move devel files to -devel, adapterized, stbr

Revision 1.2  2003/06/26 21:32:40  adgor
- Dont't know what's this - ask undefine

Revision 1.1.2.2  2003/06/26 21:17:00  undefine
- changed group

Revision 1.1.2.1  2003/06/26 21:14:30  undefine
- initital pld version
